using System;
using System.Linq;

class Program
{


    static void Main()
    {

        string s = Console.ReadLine();
        string c1 = s.Substring(0,1);
        string c2 = s.Substring(1,1);
        // Console.WriteLine(c2);
        string[] s1 = Console.ReadLine().Split();
        int a1 = int.Parse(s1[0]);
        int a2 = int.Parse(s1[1]);
        if (Math.Abs(a1 - a2) > 1)
        {
            Console.WriteLine("nemoguce");
        }
        else
        {
            if (a1 == a2)
            {
                for (int i = 0; i < a1; i++)
                {
                    Console.Write(c1 + c2);
                }
            }
            else if (a1 == a2 + 1)
            {
                for (int i = 0; i < a2; i++)
                {
                    Console.Write(c1 + c2);
                }
                Console.Write(c1);
            }
            else
            {
                for (int i = 0; i < a1; i++)
                {
                    Console.Write(c2 + c1);
                }
                Console.Write(c2);
            }        
            }
    }
}